Package org.apache.any23.extractor

## Class ExtractionContext

- java.lang.Object
- - org.apache.any23.extractor.ExtractionContext

-     public class ExtractionContext
      extends Object

  This class provides the context for the processing of a single `Extractor`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ROOT_EXTRACTION_RESULT_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractionContext​(String extractorName, org.eclipse.rdf4j.model.IRI documentIRI)` |
    `ExtractionContext​(String extractorName, org.eclipse.rdf4j.model.IRI documentIRI, String defaultLanguage)` |
    `ExtractionContext​(String extractorName, org.eclipse.rdf4j.model.IRI documentIRI, String defaultLanguage, String localID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractionContext` | `copy​(String localID)` |
    `boolean` | `equals​(Object other)` |
    `String` | `getDefaultLanguage()` |
    `org.eclipse.rdf4j.model.IRI` | `getDocumentIRI()` |
    `String` | `getExtractorName()` |
    `String` | `getUniqueID()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_EXTRACTION_RESULT_ID

          public static final String ROOT_EXTRACTION_RESULT_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtractionContext

          public ExtractionContext​(String extractorName,
                                   org.eclipse.rdf4j.model.IRI documentIRI,
                                   String defaultLanguage,
                                   String localID)

    - #### ExtractionContext

          public ExtractionContext​(String extractorName,
                                   org.eclipse.rdf4j.model.IRI documentIRI,
                                   String defaultLanguage)

    - #### ExtractionContext

          public ExtractionContext​(String extractorName,
                                   org.eclipse.rdf4j.model.IRI documentIRI)

  - ### Method Detail

    - #### copy

          public ExtractionContext copy​(String localID)

    - #### getExtractorName

          public String getExtractorName()

    - #### getDocumentIRI

          public org.eclipse.rdf4j.model.IRI getDocumentIRI()

    - #### getDefaultLanguage

          public String getDefaultLanguage()

    - #### getUniqueID

          public String getUniqueID()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`